﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ViewModelComIEnumerable.ViewModel;

namespace ViewModelComIEnumerable.Controllers
{
    public class PredioController : Controller
    {
        public ActionResult Index()
        {
            PredioViewModel viewModel = new PredioViewModel();

            viewModel.Nome = "Meu Predio";
            viewModel.Andares = Enumerable.Range(1, 5).Select(x => new AndarViewModel() { Id = x, Nome = "Andar" + x, Preco = x * 100000 }).ToList();

            return View(viewModel);
        }

        [HttpPost]
        public ActionResult Index(PredioViewModel viewModel)
        {
            return View(viewModel); 
        }
    }
}
